package com.engine.newwaymask.entity;

import java.util.Objects;

/**
 * @Author liang.cheng
 * @Date 2025/4/23 10:04
 * @Description: 复合键
 * @Version 1.0
 */
public class Key {

    private final Integer jobId;
    private final Integer staffBelong;
    private final Integer jobType;

    public Key(Integer jobId, Integer staffBelong, Integer jobType) {
        this.jobId = jobId;
        this.staffBelong = staffBelong;
        this.jobType = jobType;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o){ return true;}
        if (o == null || getClass() != o.getClass()) {return false;}
        Key key = (Key) o;
        return Objects.equals(jobId, key.jobId) &&
                Objects.equals(staffBelong, key.staffBelong) &&
                Objects.equals(jobType, key.jobType);
    }

    @Override
    public int hashCode() {
        return Objects.hash(jobId, staffBelong, jobType);
    }

}
